Estimates
Get specific estimate
Returns the full representation of an estimate by id.
GET
/
v1
/
estimates
/
{estimateId}
Get specific estimate
curl --request GET \
--url https://api.infinity.swiss/v1/estimates/{estimateId} \
--header 'x-api-token: <api-key>'import requests
url = "https://api.infinity.swiss/v1/estimates/{estimateId}"
headers = {"x-api-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-token': '<api-key>'}};
fetch('https://api.infinity.swiss/v1/estimates/{estimateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"estimate": {
"id": "<string>",
"isDraft": true,
"number": "<string>",
"organisation": "<string>",
"template": "<string>",
"openingDate": "2023-12-25",
"dueDate": "2023-12-25",
"positions": [
{
"type": "product",
"name": "<string>",
"singleAmount": 12000,
"quantity": 2,
"contraAccount": 5499,
"id": "<string>",
"unit": "<string>",
"taxCode": "",
"articleNumber": "<string>",
"description": "<string>",
"date": "<string>",
"discountRate": 50,
"customTextColumns": {
"customTextColumn1": "<string>",
"customTextColumn2": "<string>",
"customTextColumn3": "<string>"
},
"totalAmount": 123,
"vatDebt": 123,
"originalCurrency": "<string>",
"exchangeRate": 123
}
],
"totalAmount": 123,
"totalNetAmount": 123,
"totalVatDebt": 123,
"recipient": "<string>",
"customRecipientText": "<string>",
"title": "<string>",
"payableInDays": 123,
"introductoryText": "<string>",
"closingText": "<string>",
"originalCurrency": "<string>",
"exchangeRate": 123,
"columns": [],
"emailDeliveries": [
{
"recipientEmail": "jsmith@example.com",
"status": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
],
"publicPdfUrl": "<string>",
"signingPerson": "<string>",
"signedAt": "2023-11-07T05:31:56Z",
"invoicesFromQuote": [
"<string>"
]
}
}{
"code": "general/unauthorised"
}{
"code": "customer-invoice/not-found"
}Authorizations
API token for authentication. Obtain from your Infinity account settings.
Path Parameters
The id of the specific estimate.
Response
The estimate is returned.
The full representation of an estimate (quote).
Show child attributes
Show child attributes
Previous
Create estimateCreates a new estimate (quote) in the organisation. Estimates never post accounting transactions and are only converted to invoices by calling the convert endpoint.
Next
⌘I
Get specific estimate
